Page MenuHomePhabricator

TestVideoThumbnail::testApiThumbnails fails Undefined index: thumbwidth
Closed, DeclinedPublic

Description

While running unit tests for TimedMediaHandler the TestVideoThumbnail::testApiThumbnails are failing.

  1. TestVideoThumbnail::testApiThumbnails with data set #0 (array('application/ogg', 'extensions/TimedMediaHandler/tests/phpunit/media/test5seconds.electricsheep.300x400.ogv', 301477, 400, 300, 'VIDEO', 452216, 30))

Undefined index: thumbwidth

Example run https://integration.wikimedia.org/ci/job/mwext-TimedMediaHandler-testextensions-master/5/console


Version: master
Severity: normal

Details

Reference
bz61877

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 2:52 AM
bzimport set Reference to bz61877.

Change 115303 had a related patch set uploaded by Hashar:
Ignore TestVideoThumbnail::testApiThumbnails

https://gerrit.wikimedia.org/r/115303

Change 115303 merged by jenkins-bot:
Ignore TestVideoThumbnail::testApiThumbnails

https://gerrit.wikimedia.org/r/115303

All patches merged; resetting ticket status

My patch above merely disabled the test. We need someone to reenable and fix the test ( https://gerrit.wikimedia.org/r/#/c/115303/2/tests/phpunit/TestVideoThumbnail.php )

Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:36 PM
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptSep 4 2015, 6:36 PM
Paladox closed this task as Declined.Oct 21 2015, 8:29 PM
Paladox claimed this task.
Paladox added a subscriber: Paladox.

Declining since it seems to have been resolved since tests aren't failing.

Paladox removed Paladox as the assignee of this task.Oct 21 2015, 8:29 PM
Paladox set Security to None.
Paladox reopened this task as Open.Oct 21 2015, 8:36 PM

Re opening I just seen it error out at https://gerrit.wikimedia.org/r/#/c/247917/

@brion and @TheDJ Can I add you to this task.

Paladox removed subscribers: TheDJ, brion.Oct 21 2015, 8:37 PM

Now comes up with this error

20:36:15 There were 2 failures:
20:36:15
20:36:15 1) TestVideoThumbnail::testApiThumbnails with data set #0 (array('application/ogg', '/mnt/jenkins-workspace/workspace/mediawiki-extensions-hhvm/src/extensions/TimedMediaHandler/tests/phpunit/media/test5seconds.electricsheep.300x400.ogv', 301477, 400, 300, 'VIDEO', 452216, 30))
20:36:15 Failed asserting that false is true.
20:36:15
20:36:15 /mnt/jenkins-workspace/workspace/mediawiki-extensions-hhvm/src/extensions/TimedMediaHandler/tests/phpunit/TestVideoThumbnail.php:39
20:36:15 /mnt/jenkins-workspace/workspace/mediawiki-extensions-hhvm/src/tests/phpunit/MediaWikiTestCase.php:137
20:36:15
20:36:15 2) TestVideoThumbnail::testApiThumbnails with data set #1 (array('video/webm', '/mnt/jenkins-workspace/workspace/mediawiki-extensions-hhvm/src/extensions/TimedMediaHandler/tests/phpunit/media/shuttle10seconds.1080x608.webm', 699018, 1080, 608, 'VIDEO', 522142, 29.97))
20:36:15 Failed asserting that false is true.
20:36:15
20:36:15 /mnt/jenkins-workspace/workspace/mediawiki-extensions-hhvm/src/extensions/TimedMediaHandler/tests/phpunit/TestVideoThumbnail.php:39
20:36:15 /mnt/jenkins-workspace/workspace/mediawiki-extensions-hhvm/src/tests/phpunit/MediaWikiTestCase.php:137

Krinkle closed this task as Declined.Apr 13 2018, 8:21 PM
Krinkle added a subscriber: Krinkle.

Recent Jenkins run for TimedMediaHandler are passing. If this is a local issue or if a new issue has emerged on master, please file a new task.